import { FinancialSeries } from "./FinancialSeries";
import { ITrendLineSeries } from "./ITrendLineSeries";
import { TrendLineType } from "igniteui-react-core";
import { DependencyProperty } from "igniteui-react-core";
import { Brush } from "igniteui-react-core";
import { PenLineCap } from "igniteui-react-core";
import { DoubleCollection } from "igniteui-react-core";
import { PriceDisplayType } from "./PriceDisplayType";
import { Series } from "./Series";
import { SeriesView } from "./SeriesView";
import { Type, Point } from "igniteui-react-core";
import { CategoryFrame } from "./CategoryFrame";
import { FastItemsSourceEventAction } from "igniteui-react-core";
import { FinancialSeriesView } from "./FinancialSeriesView";
import { FinancialBucketCalculator } from "./FinancialBucketCalculator";
import { ITrendLineManager } from "./ITrendLineManager";
import { Axis } from "./Axis";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
import { Rect } from "igniteui-react-core";
import { List$1 } from "igniteui-react-core";
import { AxisRange } from "./AxisRange";
import { Pool$1 } from "igniteui-react-core";
import { Path } from "igniteui-react-core";
import { Thickness } from "igniteui-react-core";
import { SeriesPlotAreaMarginHorizontalMode } from "./SeriesPlotAreaMarginHorizontalMode";
import { SeriesPlotAreaMarginVerticalMode } from "./SeriesPlotAreaMarginVerticalMode";
import { GeometryGroup } from "igniteui-react-core";
import { LegendItemBadgeShape } from "igniteui-react-core";
import { ValueLayerValueMode } from "./ValueLayerValueMode";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class FinancialPriceSeries extends FinancialSeries implements ITrendLineSeries {
    static $t: Type;
    protected bc(): Series;
    protected get_eo(): boolean;
    protected iq(): number;
    protected cd(): SeriesView;
    o2(a: SeriesView): void;
    x6: FinancialPriceSeriesView;
    constructor();
    trendLineType: TrendLineType;
    trendLineBrush: Brush;
    get zi(): Brush;
    set zi(a: Brush);
    static readonly y0: DependencyProperty;
    trendLineThickness: number;
    zl: PenLineCap;
    zk: DoubleCollection;
    trendLinePeriod: number;
    yd: number;
    protected np(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    x7: PriceDisplayType;
    protected bu(): SeriesHitTestMode;
    tu(a: Point): Rect;
    private x5;
    ak(a: Point): Rect[];
    f5(a: Point, b: boolean): boolean;
    protected f8(a: Point, b: boolean): boolean;
    protected pa(a: any, b: string, c: any, d: any): void;
    private yz;
    aq(a: Axis): AxisRange;
    ar(a: Rect): AxisRange;
    h3(): number;
    fp(a: any): boolean;
    gm(a: Rect, b: Rect, c: SeriesView): boolean;
    xh(a: CategoryFrame, b: FinancialSeriesView): void;
    nk(a: boolean, b: SeriesView): void;
    protected qo(a: Rect, b: Rect): void;
    t0(a: SeriesPlotAreaMarginHorizontalMode, b: SeriesPlotAreaMarginVerticalMode): Thickness;
    protected get_dv(): boolean;
    xj(a: CategoryFrame, b: FinancialSeriesView): void;
    h1(): number;
    private yx;
    private yb;
    private yw;
    jz(a: any, b: Point): any;
    protected qf(): void;
    protected n2(a: any): void;
    zj: Brush;
    s6(): Brush;
    p1(a: Brush, b: Brush): void;
    protected a7(a: LegendItemBadgeShape): LegendItemBadgeShape;
    yn: string;
    yj: string;
    ye: string;
    ys: string;
    yp: string;
    yl: string;
    yg: string;
    yu: string;
    getDataLegendSeriesContextAt(a: number, b: number): any;
    private x8;
    private x9;
    ya: number;
    private yy;
    am(a: ValueLayerValueMode): number[];
    tm(a: ValueLayerValueMode): Point;
    tn(a: number[]): Point;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class FinancialPriceSeriesView extends FinancialSeriesView {
    static $t: Type;
    protected b6: FinancialPriceSeries;
    constructor(a: FinancialPriceSeries);
    b9: Pool$1<Path>;
    cr(): Path;
    protected cc: List$1<Path>;
    ch(a: Path): void;
    cj(a: Path): void;
    ci(a: Path): void;
    protected b1(): FinancialBucketCalculator;
    au(): void;
    private cq;
    private cp;
    private b7;
    get b8(): ITrendLineManager;
    set b8(a: ITrendLineManager);
    get ca(): boolean;
    ck(): void;
    ce(): void;
    cd(): void;
    cn(): GeometryGroup;
    cm(): GeometryGroup;
    cl(): void;
    protected bd(): void;
    protected be(): void;
    protected ac(a: number): any;
    private co;
    protected ab(a: number): any;
    protected a8(a: RenderingContext, b: boolean): void;
    protected a7(a: RenderingContext, b: boolean): void;
    an(a: any): void;
    cf(): void;
    cb: boolean;
    cg(): void;
}
